package org.kne.cloud.klalb.uitool;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import java.awt.BorderLayout;
import javax.swing.SwingConstants;
import org.kne.cloud.network.klalb.ui.UIEnv;

public class TextAreaSettingItem extends SettingItem {
	protected JTextArea textarea;
	
	
	public JTextArea getTextArea() {
		return textarea;
	}
	public TextAreaSettingItem(String text,int w,int h) {
		this(text,UIEnv.getFont().deriveFont((float) 15.0),w,h);
	}
/**
	 * @wbp.parser.constructor
	 */
	public TextAreaSettingItem(String text, Font deriveFont,int w,int h) {
		super(text,deriveFont,w,h);
		textarea = new JTextArea();
		JScrollPane sp=new JScrollPane(textarea);
		sp.getViewport().setOpaque(false);
		sp.setOpaque(false);
		sp.setBackground(new Color(0,0,0,0));
		getPanel().add(sp, BorderLayout.CENTER);
		textarea.setBorder(null);
		textarea.setOpaque(false);
		textarea.setBackground(new Color(0,0,0,0));
		//textarea.setBackground(UIEnv.getDefaultcolor());
		label.setForeground(Color.GRAY);
	}

}
